1 votos

No se puede instalar la nueva versión de FreeCAD de PPA

Estoy tratando de instalar FreeCAD en mi equipo (que se ejecuta 18.10), y estoy corriendo en un poco de problemas con la instalación. Me gustaría utilizar la última versión estable de ppa:freecad-maintainers/freecad-stable, ya que la versión en los repositorios oficiales es obsoleto y tiene varios errores en el inicio. El problema es que, incluso después de añadir el PPA a mis fuentes, apt todavía instala la versión de los repositorios oficiales.

Este es mi resultado de la ejecución sudo apt update

Hit:1 http://download.virtualbox.org/virtualbox/debian cosmic InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu cosmic InRelease                     
Get:3 http://us.archive.ubuntu.com/ubuntu cosmic-updates InRelease [83.2 kB]   
Get:4 http://security.ubuntu.com/ubuntu cosmic-security InRelease [83.2 kB]    
Hit:5 http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu cosmic InRelease
Get:6 http://us.archive.ubuntu.com/ubuntu cosmic-backports InRelease [74.6 kB] 
Hit:7 http://ppa.launchpad.net/js-reynaud/kicad-5/ubuntu cosmic InRelease      
Fetched 241 kB in 1s (343 kB/s)                                                
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.

Por lo que se podría pensar que los paquetes más recientes de la FreeCAD mantenedores estable PPA debe estar disponible, ¿verdad? Sin embargo, la salida de apt policy freecad es

freecad:
  Installed: (none)
  Candidate: 0.16.6712+dfsg1-3build1
  Version table:
     0.16.6712+dfsg1-3build1 500
        500 http://us.archive.ubuntu.com/ubuntu cosmic/universe amd64 Packages

Si es útil, aquí está mi /etc/apt/sources.list

# deb cdrom:[Ubuntu 18.10 _Cosmic Cuttlefish_ - Release amd64 (20181017.3)]/ cosmic main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ cosmic main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ cosmic-updates main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ cosmic universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic universe
deb http://us.archive.ubuntu.com/ubuntu/ cosmic-updates universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ cosmic multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic multiverse
deb http://us.archive.ubuntu.com/ubuntu/ cosmic-updates multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ cosmic-backports main restricted universe multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ cosmic-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu cosmic partner
# deb-src http://archive.canonical.com/ubuntu cosmic partner

deb http://security.ubuntu.com/ubuntu cosmic-security main restricted
# deb-src http://security.ubuntu.com/ubuntu cosmic-security main restricted
deb http://security.ubuntu.com/ubuntu cosmic-security universe
# deb-src http://security.ubuntu.com/ubuntu cosmic-security universe
deb http://security.ubuntu.com/ubuntu cosmic-security multiverse
# deb-src http://security.ubuntu.com/ubuntu cosmic-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian cosmic contrib
# deb-src [arch=amd64] http://download.virtualbox.org/virtualbox/debian cosmic contrib

Y aquí está el resultado de ls -al /etc/apt/sources.list.d

total 24
drwxr-xr-x 2 root root 4096 Dec  5 10:33 .
drwxr-xr-x 6 root root 4096 Dec 16 11:03 ..
-rw-r--r-- 1 root root    0 Dec  5 11:02 elmer-csc-ubuntu-ubuntu-elmer-csc-ppa-cosmic.list
-rw-r--r-- 1 root root    0 Dec  5 11:02 elmer-csc-ubuntu-ubuntu-elmer-csc-ppa-cosmic.list.save
-rw-r--r-- 1 root root  172 Dec  5 11:02 freecad-maintainers-ubuntu-freecad-stable-cosmic.list
-rw-r--r-- 1 root root  172 Dec  5 11:02 freecad-maintainers-ubuntu-freecad-stable-cosmic.list.save
-rw-r--r-- 1 root root  140 Dec  5 11:02 js-reynaud-ubuntu-kicad-5-cosmic.list
-rw-r--r-- 1 root root  140 Dec  5 11:02 js-reynaud-ubuntu-kicad-5-cosmic.list.save

Si hay algo que podría ser útil que se me olvidaba, por favor hágamelo saber. Gracias de antemano por cualquier ayuda!

1voto

Mark Puntos 1

Usted no debe ciegamente agregar PPAs para el sistema.

Comprobar dos cosas:

  1. las versiones de los paquetes en los repositorios estándar - uso de la búsqueda en packages.ubuntu.com:

    Paquete de freecad

    cósmica (18.10) (ciencia): Extensible Open Source CAx programa [universo]
    0.16.6712+dfsg1-3build1: amd64 arm64 i386 ppc64el s390x

  2. las versiones de los paquetes en PPA a la página de LaunchPad (por ppa:freecad-maintainers/freecad-stable y cósmica de la liberación):

    Paquete de la Versión subida por
    freecad 1:0.17.13541-1ppa3~ubuntu18.10.1 Kurt Kremitzki (2018-12-11)

Para que el paquete debe ser actualizado automáticamente después de:

  1. agregar el PPA

    sudo add-apt-repository ppa:freecad-maintainers/freecad-stable
    

    (en el comando anterior sudo apt update es automático), a continuación,

  2. actualizar los paquetes

    sudo apt upgrade
    

    o

    sudo apt dist-upgrade
    

    para obtener las nuevas dependencias.


Pero en este caso en particular se puede ver que la construcción cósmica no fue exitoso:

FreeCAD build failed

así que este PPA no tienen deb-archivos con el nombre freecad_0.17.13541-1ppa3~ubuntu18.10.1*.deb en la pool directorio.

Usted puede considerar que:

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: